#### Abstract

We study a second-order difference equation of the form , where both and are decreasing. We consider a set of invariant curves at and use it to characterize the behaviour of solutions when and when . The case is related to the Y2K problem. For , we study the stability of the equilibrium solutions and find an invariant region where solutions are attracted to the stable equilibrium. In particular, for certain range of the parameters, a subset of the basin of attraction of the stable equilibrium is achieved by bounding positive solutions using the iteration of dominant functions with attracting equilibria.

#### 1. Introduction

Second-order difference equations of the formwhere is a continuous function, have been widely used in applications [1–4]. Several models in mathematical biology take the form of (1) under the assumptions that is decreasing and is bounded and increasing [4, 5]. A well-known example is Pielou’s difference equation which has been suggested to model the growth of a single species with delayed-density dependence [4, 6]. In Pielou’s equation, takes the form . Adding or subtracting a constant from (1) can be interpreted mathematically as a perturbation of the model, or biologically as constant stocking or constant yield harvesting [7–9]. These meaningful applications motivate investigating the dynamics of the difference equation However, when the functions and are both decreasing, the corresponding difference equation becomes more abstract and so far little work has been done to investigate its dynamics. Although our ultimate goal is to reach a general theory for this type of difference equation, we find it interesting to consider as a prototype, and so we focus this work on the dynamics of the equation

Among the important aspects of solutions of a difference equation are boundedness and global stability. On several occasions, the question of boundedness of all solutions of a particular difference equation was settled by finding invariant curves. Invariant curves of a second-order difference equation are plane curves on which forward orbits that start on a curve remain on the curve. Finding invariant curves, studying their properties and their relation with Liapunov functions is an active area of research [10–13].

In recent years, several results that give sufficient conditions for global stability or global attractivity of equilibrium solutions of difference equations have been established. Most of the results rely on the monotonicity of the function defined by the difference equation under investigation; see, for instance, [1, 11, 14, 15] and the references therein. Another approach of establishing global attractivity is to relate solutions of the difference equation to the solutions of a one-dimensional map where (under some conditions) the global attractivity of the equilibrium of the map implies the global attractivity of the equilibrium of the difference equation. This technique, which is sometimes called enveloping or dominance, is well-known in first-order difference equations [16], and it has been extended recently to tackle some higher order difference equations [17, 18].

In this paper, we focus on (3), where and the initial conditions are restricted to assure the existence of positive solutions (persistent solutions). Throughout our work, solutions are meant to be well-defined solutions. We consider a set of invariant curves and verify certain inequalities they satisfy. The inequalities describe the movement of solutions in the phase plane, which are ultimately used to prove that the larger positive equilibrium of (3) is a global attractor for a certain range of the parameter . When , (3) is related (via a change of variables) to the Y2K difference equation where the global attractivity of its positive equilibrium was an open problem for several years till it was settled recently by Merino [19]. Also, the case is related (via a change of variables) to Lyness equation in which solutions remain on invariant curves. The case of (3) exhibits very interesting dynamics and is discussed in Section 3.

#### 2. **The Case **

In this section, we consider (3) and assume . Thus, throughout this section, we refer to the equationThe substitutions transform (4) toEquation (6) is known in the literature as the Y2K problem [18]. Observe that, for and , we have if and only if . Also, the restriction , on the -parameters is equivalent to the restriction on the -parameters. In (6), it is obvious that positive initial conditions give rise to positive solutions, and there exists a unique positive equilibrium. Proving that the positive equilibrium is a global attractor with respect to the positive quadrant was an open question for over a decade till it was settled by Merino [19]. Merino transformed (6) intowhere . Then he used the functionto prove the next crucial lemma, where is the positive equilibrium of (7), which is given by

Lemma 1 (see [19]). *Consider , and then either or .*

Merino used this crucial lemma to show that the positive equilibrium of (7) is a global attractor. However, the given proof of Lemma 1 depends heavily on Mathematica code. So here, we present an alternative proof of Lemma 1, which is more trackable. But in order to keep things within the context of our work, we translate the curves of (7) to the curves of (4), which are given bywhere and is the large equilibrium of (4). Observe that at , = constant is in fact an invariant curve for Lyness equation after a transformation.

For typographical reasons, we define , , and in (4). Without further mention, we consider to be in the region , which is in fact the positive quadrant of (6). We find where and . Because and , we have whenever while otherwise. It is worth mentioning here that if is located in the region between and , then the point is guaranteed to be out of the region. Now, we are in a position to give our trackable proof of Lemma 1 translated in terms of .

*Proof. *We consider and show that . Because then we need to show that We writeOur aim here is to show that the R.H.S. is larger than or equal to 1. We proceed by taking two cases, namely, the following.*Case 1.* Consider*Case 2.* Consider*Case 1*. Observe that the conditions we have on , , and force all factors in the numerator and denominator to be positive. Furthermore, we have and the fact that gives . Next, write (15) asand observe that each one of the first three factors in the R.H.S. is larger than 1. Thus, we obtainUse Figure 1(a) to conclude thatSo, the R.H.S. of Inq. (19) is larger than one which completes the proof of Case 1.*Case 2*. In this case, we have , and since , we obtain . To make all factors in both the numerator and denominator of (15) positives, we rewrite the equation asAgain we show that the R.H.S. is larger than 1. To achieve this task, we rewrite (21) asObserve that the first and last factors are larger than 1, and therefore, we obtainSince and (see Figure 1(b)), we obtainBecause the function is increasing on the interval as long as , then implies . Therefore,as required, which completes the proof.

**(a)**

**(b)**

#### 3. **The Case **

In this section, we consider (3) and let . Thus, throughout this section, we refer to the equationWe investigate the stability of equilibrium solutions, the existence of periodic solutions, and the boundedness and persistence of solutions. Throughout our work, we use stability to denote local stability and persistence to denote positive solutions. We also find an invariant region and give a range of the parameters for which the region is part of the basin of attraction of the stable equilibrium.

##### 3.1. Stability of Equilibria and Periodic Solutions

The two equilibrium points , of (27) satisfy and ; furthermore, they are increasing in and satisfy . The linearized form of (27) at is given byBecause then Thus, the eigenvalues of the linearized equation at are complex and out of the unit circle which make a repeller. Similarly, we find the eigenvalues of the linearized equation at . We have Hence, and , which give us that is either locally stable or a saddle. Figure 2 illustrates this case in the parameter space.

Before we address the issue of boundedness, let us have a look at the possibility of periodic solutions. We always use period to denote the prime period. We start with period-two solutions by considering the equations Observe that the two parabolas intersect in either two or four points and , must be among them. We substitute and eliminate the factor that gives and to obtain This equation has two real solutions when , which gives the region to the left of the curve in Figure 2. So, suppose and name the period-two solution . If we go back to the case , we find that , which is obviously not in the region of global stability considered in [19]. For , it is possible that while ; however this is beyond our interest in this paper. On the other hand, it is possible that . In fact, this takes place when and , or when and . We formalize this discussion in the following result.

Proposition 2. *Let and . Equation (27) has period-two solution that satisfies one of the following: *(i)* and when or .*(ii)* and when .*

Next, by algebraic manipulations of the equations we find that period-three solutions exist and can be positive. However, we avoid high level of computations and just give an interesting example of period-three solution that we use in the sequel. Let and consider , , we obtain a period-three solution given by , which is nonnegative whenever .

Finally, as a consequence of the boundedness and oscillation results that we establish later on, no periodic solutions of period higher than four exist. Thus, our discussion about the existence of periodic solutions ends by investigating the existence of period-four solutions. In fact, algebraic manipulations show that positive period-four solutions do not exist within the range of our parameters.

##### 3.2. Boundedness of Nonnegative Solutions

In this section, we prove that the only positive solution of (27) that satisfies for all is the equilibrium solution . Then we show that the remaining positive solutions are bounded. To achieve this task, we first establish a reversed form of the inequalities given in Lemma 1. We can follow the technique used to prove Lemma 1 (when ), but for the readers convenience, we give another elegant technique that serves as a handy tool for similar scenarios. We handle the expression using the points . Thus, we need to consider where is the map defined by . We illustrate these sets in Figure 3, and it is straightforward to check that while

Now, write in whichIgnore the common factors and keep in mind that is negative and then define

Now, the following two basic results will be used in the sequel.

Proposition 3. *Let . Each of the following holds true. *(i)*If , then ; furthermore, if then .*(ii)*If , then .*

*Proof. *(i) Because , then we obtain the first part of the statement. To show the second part of the statement, we use the assumption and the fact that to conclude that which completes the proof of part (i).

(ii) Because we have , then and consequently, Now, implies , and hence

Proposition 4. *Let and consider . Define **Then and are positive; furthermore, .*

*Proof. *It is obvious that and are both positive. To show that , we use part (i) of Proposition 3 to obtain Then, we obtain Because and is increasing in , we obtain Finally, observe that which implies Hence, the proof is complete.

Next, we proceed to show that either or . So, we consider and then show that .

Lemma 5. *Consider (27) with . Let be a nonequilibrium solution that satisfies for all . Either or .*

*Proof. *Let and assume . Because the common factor that we ignored in (39) is negative, it is sufficient to show that Again, we take two cases as follows. *Case 1*. Let . We transform into as follows: Let and . We prove that for all and . Because for all , then the -region gives us more than . Use Taylor’s expansion about to obtain where and , and then substitute and to obtain after simplifications Ignore the positive common factors, and then our task will be to prove that is positive for all and . Indeed, we rewrite the expression as and then based on the established notations and facts of Proposition 4, we have and all terms of this expression are positives except possibly . If , then part (i) of Proposition 3 makes . On the other hand, if , then we can add and subtract and then write Next, use the fact that from Proposition 4 to conclude that the expression is again positive. Hence, the proof of Case 1 is complete. *Case 2*. Let . Although the proof follows ideas of Case 1, the technicalities make the proof not obvious, which motivates us to write the complete proof here again. We make the transformations and while . Thus, we obtain . Again, we prove that for all and . Because for all , then the -region gives us more than . Write and as in Case 1, and then Ignore the positive common factors and use the fact that and , and then our task will be to prove that is positive for all and . We manipulate the terms of and write it as where Because and , we write and then we have , and consequently we obtain positive, which completes the proof.

Lemma 6. *A solution of (27) that satisfies for all must be bounded; furthermore, it must be bounded below by for some fixed .*

*Proof. *Recall that a point is mapped to the point under the map ; that is, . We use the map to give a visualization of the set of initial points that we are interested in. For a given constant , we have Next, we choose a suitable value for so that gets out of the region . Observe that is a horizontal line segment while is a vertical line segment. On the other hand, the initial points on the line belong to the forbidden set (which is the set of initial conditions that make for some ). Thus, we need the line segment to be below . We achieve this condition by taking . In this way, any initial point that satisfies , , or , does not give a positive solution. Hence, the solutions that we are interested in must be within the square . Finally, if is close to 1 while , then will blow up beyond our choice of . Thus, there must be such that for some fixed , which completes the proof.

Now, we give the following result.

Theorem 7. *Let . The only solution of (27) that satisfies for all is the large equilibrium .*

*Proof. *Suppose that is a nonequilibrium solution of (27) that satisfies for all . From Lemma 5, we can filter the points that do not obey the monotonicity, and consequently, the sequence has an increasing subsequence . must be bounded by Lemma 6, and, therefore, converges to a limit, say, . On the other hand, the sequence , , belongs to a compact set, and therefore, it has a convergent subsequence; say , , converges to . Next, we must have . Because is a repeller, then , which together with contradicts Lemma 5. Hence, a nonequilibrium positive solution cannot stay above one.

Theorem 8. *Positive solutions of (27) are bounded.*

*Proof. *Let be a positive solution of (27). Based on Lemma 6, we need only to handle the case when gets between and for some . In this case, we must have , because, otherwise, we use the fact that to obtain Up to this end, we have Now, an induction argument shows that for all , which completes the proof.

Lemma 9. *Let . The region bounded by the triangle of vertices , , and forms an invariant of (27). Furthermore, this invariant shrinks under two iterates of to the invariant bounded by the quadrilateral of vertices , , , and .*

*Proof. *Since , we obtain . Now, consider belongs to , and then and . Now, which belongs to the triangular region of vertices , and . Now, let , and then and , and consequently, and its forward iterates stay inside . This completes the proof.

##### 3.3. Attractivity of the Small Equilibrium

After establishing an invariant region that contains when , we aim to characterize the behavior of solutions within . From the fact thatwe observe that if then . Similarly, if , then . Therefore, within , solutions oscillate about . Consecutive terms of a nonequilibrium solution that satisfy form what we call a positive semicycle. Similarly, consecutive terms of a nonequilibrium solution that satisfy form a negative semicycle. Thus, from (67), we conclude that the length of a semicycle is at most two.

When extrema of consecutive positive (and negative) semicycles form monotonic sequences, we obtain subsequences of the orbit that aids us in characterizing the orbit. This approach has been widely used to prove attractivity of equilibria [1, 11, 14, 20]. However, if we follow the extrema of positive semicycles of an orbit of (27), we find it is possible for an extreme value to overshoot (or undershoot) a previous one. For instance, let , , , and . In this case , and the orbit through is which shows that the extrema of positive semicycles do not form a monotonic sequence.

Instead of bounding an orbit with the extrema of its semicycles, here we develop a technique that bounds the elements of semicycles by a monotonic sequence that does not form a subsequence of the orbit itself, and then we use the monotonic sequence to show the attractivity of . This approach is closely related to the enveloping technique used by [17, 18]; however, instead of finding one dominant function that goes through the equilibrium, we find a sequence of functions that evolve based on the semicycles of the solution. We writeand we define the maps asin which is a fixed value that will be determined by an upper bound of . In general, we need to be increasing with a unique fixed point inside a certain region. Before we embark on our main result, we give some characteristics of in the following proposition.

Proposition 10. *Consider the function as defined in (70) in which and . Each of the following holds true: *(i)* is continuous on the interval .*(ii)* and for all , is increasing.*(iii)*If , then has two fixed points . In addition, if , then is increasing while is decreasing in .*

*Proof. *Parts (i) and (ii) are obvious. To verify part (iii), observe that The condition for the existence of two fixed points is obvious, and to obtain increasing in , we must have negative.

The next result about the attractivity of the small fixed point of will be used in the sequel.

Lemma 11. *Consider as defined in (70), and let . If and **then the equilibrium solution of the difference equation is stable with a basin of attraction that contains the interval . Furthermore, the convergence to the equilibrium is monotonic.*

*Proof. *Since and is increasing with two fixed points , a cobweb (stair-step) diagram shows the result.

Because our goal is to be able to let reach , then taking from the condition makes it mandatory to have . However, simple computations show that this is not a viable option within our range of parameters. On the other hand, taking makes it necessary for us to have , which is indeed a viable option within our range of parameters. Also, since we need to obtain an increasing function , then we must have , However, considering is sufficient to give . Thus, to give our approach a chance of success, we need to be accompanied by the following two conditions:

Next, from the invariant region of Lemma 9, we need so we can start at and then be able to go down to . Therefore, means that we need the condition

The next proposition gives the feasible region for the inequalities in H1, H2, and H3. The proof is just algebraic manipulations of the inequalities.

Proposition 12. *The feasible region for the inequalities in H1, H2, and H3 is the region bounded by the triangle of vertices .*

Now, we established enough tools to give the following result.

Theorem 13. *Consider (27) with . If , then all solutions that are attracted to the invariant region converge to .*

*Proof. *Based on Lemma 9, since shrinks after two iterates of into , we can start by . Let and be the first negative and positive semicycles (resp.) which belong to the initial condition . Let denote the first full cycle. Thus, by induction, we consider to be the th cycle which belongs to the initial condition . Now, define , and then by condition H3, has a unique equilibrium, say, , in the interval (the uniqueness follows from the fact that whenever , which is obtainable from H3). In fact, . Since we depend on Lemma 11 to conclude that for all elements of the solution passing the first cycle; that is, Next, we define . Since , we have Now, we use the dominant function and its unique equilibrium in the interval to conclude again that Observe that our function evolves in after each cycle of the oscillatory solution and becomes with a smaller fixed point that dominates the rest of the solution . This induction process follows the cycles of the solution and keeps giving new upper bounds that form a strictly decreasing sequence. Since the sequence is bounded below by , consequently, it must converge to a value . Since can take us to use as a new starting point and repeat the same process again, we find that the viable option is to take . Therefore, we conclude that , and because our solution is oscillatory inside the region , then we must have which completes the proof.

We close this section by the following remark.

*Remark 14. *It is worth mentioning that the method of this section can be developed under more general settings to handle a wider class of maps . Also, we remark that relaxing the condition adds another factor of complexity to the problem because periodic solutions of period two and three come to the scene. For instance, when , the period-three solution is located on the boundary of the region .

#### 4. Conclusion and Discussion

In this paper, we considered the difference equationwhich can be considered a prototype for the more general form where and are both decreasing. For , we established a connection between (81) and the well-known Y2K difference equation. Proving global stability in the Y2K was settled by Merino in [19]. However, we gave a new proof of the crucial lemma used by Merino to prove the global stability of the positive equilibrium with respect to the positive quadrant.

For (the new range of parameters) , we restricted our investigation to nonnegative solutions that exist for all , and we showed that such solutions (except the large equilibrium which is a repeller) eventually go below one. This fact makes all nonnegative solutions bounded. We found subregions of the basin of attraction and gave conditions under which nonnegative solutions converge to the stable equilibrium .

Several aspects of solutions of (81) remain unexplored and worth further investigation in future work, to name a few, identifying the forbidden set, finding the exact basin of attraction of , and investigating the behaviour of solutions that take negative values. Finally, it is worth stressing that the choice of the function serves as an entry point for future exploration of the difference equation when is decreasing.

#### Conflict of Interests

The authors declare that there is no conflict of interests regarding the publication of this paper.

#### Acknowledgment

The authors would like to thank Nasser Al-Salti for the stimulating discussion they had while working on the problem.